package com.ruoyi.common.core.domain.model;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;

/**
 * 微信登录body
 * @author 辉
 * 2024/3/8
 */
@Data
@ApiModel
public class AliLoginBody {

    @ApiModelProperty("获取手机号的密文")
    private String mobileCiphertext;

    @NotBlank(message = "登录授权码不允许为空")
    @ApiModelProperty("my.getAuthCode获取的登录授权码，用于获取openId，必填")
    private String loginCode;
}
