package com.ruoyi.common.pay.yst.domain.bizRes.comsumptionApply;

import com.alibaba.fastjson2.JSONObject;
import lombok.Data;

/**
 * @author wjh
 * 2024/8/2
 */
@Data
public class ChannelParamInfo {
    /**
     * 收银宝渠道交易流水号。
     */
    private String chnlTradeCode;

    /**
     * 收银宝渠道返回的交易类型，针对退款订单，透传退款订单落地的“渠道交易类型”。
     */
    private String chnlTransCode;

    /**
     * 支付人账号，根据不同支付渠道返回不同的账号信息，如微信的openid，支付宝的user_id。
     */
    private String payAcctNo;

    /**
     * 渠道实际交易金额，单位为分。
     */
    private Long chnlAmount;

    /**
     * 渠道手续费，单位为分。
     */
    private Long chnlFee;

    /**
     * 透传渠道活动参数，包含云闪付、微信、支付宝的活动参数。
     */
    private JSONObject chnlData;

    /**
     * 收银宝接口交易完成时间。
     */
    private String chnlFinTime;

    /**
     * 收银宝商户号。
     */
    private String chnlMchtNo;

    /**
     * 卡类型，如借记卡、信用卡或其他。
     */
    private String acctType;

    /**
     * 后侧渠道流水号，如支付宝订单号，微信交易单号。
     */
    private String chnlTrxid;

    /**
     * 收付通银行流水号，透传收付通渠道的银行流水号。
     */
    private String sftChnlBankTradeCode;

    /**
     * 终端编号。
     */
    private String termNo;

    /**
     * 银行借贷标记，仅微信支付返回。
     */
    private String termAuthCode;

    /**
     * 终端参考号，收银宝订单POS支付时有值。
     */
    private String termRefnum;

    /**
     * 终端流水号，对应收银宝接口字段traceno。
     */
    private String traceNo;
}
