package com.ruoyi.system.domain.bo;

import com.ruoyi.common.core.domain.ValidGroup;
import com.ruoyi.common.utils.RegexpUtils;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.Pattern;

/**
 * 验证码BO
 * @author wjh
 * 2024/3/27
 */
@Data
public class VerificationCodeDTO {

    @ApiModelProperty("手机号")
    @Pattern(regexp = RegexpUtils.MOBILE_PHONE_REGEXP, message = "手机号格式错误", groups = {ValidGroup.FrontCreate.class})
    private String mobile;

    @ApiModelProperty("验证码类型")
    private String type;
}
