package com.ruoyi.ss.commandLog.domain;

import java.time.LocalDateTime;
import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;
import org.springframework.format.annotation.DateTimeFormat;

/**
 * 命令日志对象 ss_command_log
 *
 * @author ruoyi
 * @date 2024-12-13
 */
@Data
public class CommandLog extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    private Long id;

    @Excel(name = "类型", readConverterExp = "1=-在线API,2=-蓝牙")
    @ApiModelProperty("类型")
    private String type;

    @Excel(name = "MAC号")
    @ApiModelProperty("MAC号")
    private String mac;

    @Excel(name = "发送命令的原因")
    @ApiModelProperty("发送命令的原因")
    private String reason;

    @Excel(name = "命令")
    @ApiModelProperty("命令")
    private String command;

    @Excel(name = "命令发送的结果")
    @ApiModelProperty("命令发送的结果")
    private String result;

    @Excel(name = "操作人")
    @ApiModelProperty("操作人")
    private Long userId;

    @Excel(name = "操作人名称")
    @ApiModelProperty("操作人名称")
    private String userName;

    @Excel(name = "操作人类型")
    @ApiModelProperty("操作人类型")
    private String userType;

    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @Excel(name = "操作时间", width = 30, dateFormat = "yyyy-MM-dd HH:mm:ss")
    @ApiModelProperty("操作时间")
    private LocalDateTime operaTime;

    @Excel(name = "返回值code")
    @ApiModelProperty("返回值code")
    private Integer iotCode;

}
