package com.ruoyi.ss.receiveBill.domain;

import com.fasterxml.jackson.annotation.JsonView;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;
import com.ruoyi.common.core.domain.JsonViewProfile;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;
import java.time.LocalDateTime;

/**
 * 应收账单对象 ss_receive_bill
 *
 * @author ruoyi
 * @date 2024-07-22
 */
@Data
public class ReceiveBill extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 账单ID */
    @JsonView(JsonViewProfile.App.class)
    private Long billId;

    /** 用户ID */
    @Excel(name = "用户ID")
    @JsonView(JsonViewProfile.App.class)
    private Long userId;

    /** 设备ID */
    @Excel(name = "设备ID")
    @JsonView(JsonViewProfile.App.class)
    private Long deviceId;

    /** 账单类型 */
    @Excel(name = "账单类型")
    @JsonView(JsonViewProfile.App.class)
    private String type;

    /** 账单状态 */
    @Excel(name = "账单状态")
    @JsonView(JsonViewProfile.App.class)
    private String status;

    /** 出账时间 */
    @Excel(name = "出账时间", width = 30, dateFormat = "yyyy-MM-dd HH:mm:ss")
    @JsonView(JsonViewProfile.App.class)
    private LocalDateTime billTime;

    /** 账单金额 */
    @Excel(name = "账单金额")
    @JsonView(JsonViewProfile.App.class)
    private BigDecimal amount;

    /** 账单描述 */
    @Excel(name = "账单描述")
    @JsonView(JsonViewProfile.App.class)
    private String description;

    @ApiModelProperty("已收金额")
    @JsonView(JsonViewProfile.App.class)
    private BigDecimal receivedAmount;
}
