package com.ruoyi.ss.refund.domain;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import java.time.LocalDate;
import java.util.List;

/**
 * @author wjh
 * 2024/7/9
 */
@Data
public class RefundQuery extends Refund {

    @ApiModelProperty("订单收款人ID")
    private Long billMchId;

    @ApiModelProperty("创建日期（起始）")
    @DateTimeFormat(pattern = "yyyy-MM-dd")
    private LocalDate createDateStart;

    @ApiModelProperty("创建日期（结束）")
    @DateTimeFormat(pattern = "yyyy-MM-dd")
    private LocalDate createDateEnd;

    @ApiModelProperty("状态列表")
    private List<String> statusList;
}
