package com.ruoyi.ss.riskInfo.domain;

import java.time.LocalDateTime;
import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.ruoyi.common.core.domain.ValidGroup;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

import javax.validation.constraints.NotNull;

/**
 * 风控材料对象 ss_risk_info
 *
 * @author ruoyi
 * @date 2024-11-25
 */
@Data
public class RiskInfo extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    private Long infoId;

    @Excel(name = "风控ID")
    @ApiModelProperty("风控ID")
    @NotNull(message = "风控ID不允许为空", groups = ValidGroup.FrontCreate.class)
    private Long riskId;

    @Excel(name = "状态", readConverterExp = "1=未提交,2=待审核,3=已通过,4=未通过")
    @ApiModelProperty("状态")
    private String status;

    @Excel(name = "实名认证ID")
    @ApiModelProperty("实名认证ID")
    private Long realNameId;

    @Excel(name = "身份证正面")
    @ApiModelProperty("身份证正面")
    private String idCardFront;

    @Excel(name = "身份证反面")
    @ApiModelProperty("身份证反面")
    private String idCardBack;

    @Excel(name = "手持身份证照片")
    @ApiModelProperty("手持身份证照片")
    private String idCardHand;

    @Excel(name = "使用场景视频")
    @ApiModelProperty("使用场景视频")
    private String video;

    @Excel(name = "责任视频")
    @ApiModelProperty("责任视频")
    private String dutyVideo;

    @Excel(name = "营业执照")
    @ApiModelProperty("营业执照")
    private String businessLicence;

    @Excel(name = "审核人ID")
    @ApiModelProperty("审核人ID")
    private Long verifyId;

    @Excel(name = "审核人名称")
    @ApiModelProperty("审核人名称")
    private String verifyBy;

    @Excel(name = "审核意见")
    @ApiModelProperty("审核意见")
    private String verifyRemark;

    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @Excel(name = "审核时间", width = 30, dateFormat = "yyyy-MM-dd HH:mm:ss")
    @ApiModelProperty("审核时间")
    private LocalDateTime verifyTime;

    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @Excel(name = "提交时间", width = 30, dateFormat = "yyyy-MM-dd HH:mm:ss")
    @ApiModelProperty("提交时间")
    private LocalDateTime submitTime;

}
