package com.ruoyi.ss.store.domain;

import com.fasterxml.jackson.annotation.JsonView;
import com.ruoyi.common.core.domain.JsonViewProfile;
import com.ruoyi.ss.store.domain.vo.StoreOperatorVO;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.math.BigDecimal;

/**
 * @author 辉
 * 2024/3/5
 */
@EqualsAndHashCode(callSuper = true)
@Data
public class StoreVo extends Store {

    @ApiModelProperty("该店铺下的设备数量")
    @JsonView({StoreView.ListCount.class, JsonViewProfile.App.class})
    private Integer deviceCount;

    @ApiModelProperty("绑定用户名称")
    private String userName;

    @ApiModelProperty("本日收入")
    private BigDecimal todayIncome;

    @ApiModelProperty("本月收入")
    private BigDecimal monthIncome;

    @ApiModelProperty("上月收入")
    private BigDecimal lastMonthIncome;

    @ApiModelProperty("在线设备数量")
    private Integer onlineCount;

    @ApiModelProperty("离线设备数量")
    private Integer offlineCount;

    @ApiModelProperty("可共享的设备数量")
    @JsonView(JsonViewProfile.App.class)
    private Integer availableDeviceCount;

    @ApiModelProperty("操作")
    private StoreOperatorVO operator;
}
