package com.ruoyi.ss.transfer.domain;

import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;

/**
 * 转账对象 ss_transfer
 *
 * @author ruoyi
 * @date 2024-08-09
 */
@Data
public class Transfer extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    private Long batchId;

    @Excel(name = "批次单号")
    @ApiModelProperty("批次单号")
    private String batchNo;

    @Excel(name = "转账账户类型")
    @ApiModelProperty("转账账户类型")
    private String accountType;

    @Excel(name = "业务类型")
    @ApiModelProperty("业务类型")
    private String bstType;

    @Excel(name = "业务ID")
    @ApiModelProperty("业务ID")
    private Long bstId;

    @Excel(name = "状态")
    @ApiModelProperty("状态")
    private String status;

    @Excel(name = "批次名称")
    @ApiModelProperty("批次名称")
    private String batchName;

    @Excel(name = "批次备注")
    @ApiModelProperty("批次备注")
    private String batchRemark;

    @ApiModelProperty("批次总金额（元）")
    private BigDecimal totalAmount;

    @ApiModelProperty("关闭原因")
    private String closeReason;

}
